#!/bin/bash
### BEGIN INIT INFO
# Author: Imad Daou
# Source:
# Provides:          Rsync between 2 Remote Servers
# Required-Start:    $local_fs $network
# Required-Stop:     $local_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description:
# Clean up and create tmp files
/usr/bin/rm *.tmp
touch ./diff-articles-`date +%m-%d-%y`.tmp
touch ./new-articles-`date +%m-%d-%y`.tmp

# Variables
MAIN_LIST=./mainlist-04-29-21.txt
DIFF_ARTICLES=./diff-articles-`date +%m-%d-%y`.tmp
NEW_ARTICLES=./new-articles-`date +%m-%d-%y`.tmp

# Download list of files
/usr/bin/curl -f -k -L -s --compressed http://annavonreitz.com/  | grep -Eo "https?://\S+?\"" | egrep "pdf" | sed 's/"target="blank"//' | sed 's/"//' > $DIFF_ARTICLES

# Diff Articles between main list and downloaded list
/usr/bin/diff $MAIN_LIST $DIFF_ARTICLES | sed 's/> //' | sed '1d' > $NEW_ARTICLES
# Troubleshoot
# Make sure mainlist and diff files are synced even the space at the end of the file should be the same. 

# Append New Articles to Main list
cat $NEW_ARTICLES >> $MAIN_LIST

# Create download lock file
/usr/bin/touch ./download.lock

# Download new articles
while read url; do
    sleep 2
    curl $url -O
done < $NEW_ARTICLES
#done < $DIFF_ARTICLES

\mv *.pdf '/home/imad/pCloudDrive/Public Folder/Obelievers/Private_Library/TASA/Articles'

# Email New PFD file list
cat $NEW_ARTICLES | /usr/bin/mutt -s "Anna's New Articles" "imad@imaddaou.com"
#
# Delete lock file at end of your job
/usr/bin/rm -f ./download.lock
